Get filter
curl --request GET \
--url https://api.vollna.com/v1/filters/{id} \
--header 'X-API-TOKEN: <api-key>'import requests
url = "https://api.vollna.com/v1/filters/{id}"
headers = {"X-API-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-TOKEN': '<api-key>'}};
fetch('https://api.vollna.com/v1/filters/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vollna.com/v1/filters/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vollna.com/v1/filters/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vollna.com/v1/filters/{id}")
.header("X-API-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vollna.com/v1/filters/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"name": "<string>",
"status": "active",
"visibility": "shared_edit",
"qualifier": {
"enabled": true,
"mode": "manual",
"showOnlyQualified": true,
"qualifierId": 123,
"name": "<string>",
"prompt": "<string>",
"model": "<string>"
},
"notificationsOn": true,
"summary": {},
"criteria": {
"keywords": {
"mode": "list",
"include": [
"<string>"
],
"exclude": [
"<string>"
],
"query": "<string>",
"useNegative": false,
"searchIn": {
"title": true,
"description": true,
"skills": true
},
"excludeIn": {
"title": true,
"description": true,
"skills": true
}
},
"budget": {
"fixedMin": 123,
"fixedMax": 123,
"hourlyMin": 123,
"hourlyMax": 123,
"includeHourly": true,
"includeFixed": true,
"hideWithoutBudget": false,
"filterByLowerRange": false
},
"connects": {
"min": 123,
"max": 123
},
"descriptionChars": {
"min": 123,
"max": 123
},
"sites": {
"include": [
123
],
"exclude": [
123
],
"categories": {},
"categoriesExclude": {}
},
"client": {
"paymentVerified": false,
"enterprise": false,
"totalSpentMin": 0,
"hiresMin": 0,
"ratingMin": 0,
"reviewsMin": 0,
"avgHourlyPaidMin": 0,
"hireRateMin": 0,
"rankMin": 0,
"registration": {
"mode": "specific",
"after": "2023-12-25",
"before": "2023-12-25",
"operator": "more",
"value": 123,
"unit": "months"
},
"locations": {
"include": [
{
"type": "country",
"id": 123
}
],
"exclude": [
{
"type": "country",
"id": 123
}
],
"includeUnknown": true
}
},
"project": {
"locations": {
"include": [
{
"type": "country",
"id": 123
}
],
"exclude": [
{
"type": "country",
"id": 123
}
],
"includeUnknown": true
},
"languages": {
"mode": "include",
"codes": [
"<string>"
]
},
"languageQualifications": {
"include": [
"<string>"
],
"exclude": [
"<string>"
]
},
"usJobsMode": "include",
"ukJobsMode": "include"
},
"advancedPreferences": {}
}
}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}Filters
Get filter
Returns one filter with its criteria twice: in readable form (summary) and in the shape that POST /filters and PATCH /filters/ take (criteria). Also returns the AI qualifier’s name, prompt and model
GET
/
filters
/
{id}
Get filter
curl --request GET \
--url https://api.vollna.com/v1/filters/{id} \
--header 'X-API-TOKEN: <api-key>'import requests
url = "https://api.vollna.com/v1/filters/{id}"
headers = {"X-API-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-TOKEN': '<api-key>'}};
fetch('https://api.vollna.com/v1/filters/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vollna.com/v1/filters/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vollna.com/v1/filters/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vollna.com/v1/filters/{id}")
.header("X-API-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vollna.com/v1/filters/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"name": "<string>",
"status": "active",
"visibility": "shared_edit",
"qualifier": {
"enabled": true,
"mode": "manual",
"showOnlyQualified": true,
"qualifierId": 123,
"name": "<string>",
"prompt": "<string>",
"model": "<string>"
},
"notificationsOn": true,
"summary": {},
"criteria": {
"keywords": {
"mode": "list",
"include": [
"<string>"
],
"exclude": [
"<string>"
],
"query": "<string>",
"useNegative": false,
"searchIn": {
"title": true,
"description": true,
"skills": true
},
"excludeIn": {
"title": true,
"description": true,
"skills": true
}
},
"budget": {
"fixedMin": 123,
"fixedMax": 123,
"hourlyMin": 123,
"hourlyMax": 123,
"includeHourly": true,
"includeFixed": true,
"hideWithoutBudget": false,
"filterByLowerRange": false
},
"connects": {
"min": 123,
"max": 123
},
"descriptionChars": {
"min": 123,
"max": 123
},
"sites": {
"include": [
123
],
"exclude": [
123
],
"categories": {},
"categoriesExclude": {}
},
"client": {
"paymentVerified": false,
"enterprise": false,
"totalSpentMin": 0,
"hiresMin": 0,
"ratingMin": 0,
"reviewsMin": 0,
"avgHourlyPaidMin": 0,
"hireRateMin": 0,
"rankMin": 0,
"registration": {
"mode": "specific",
"after": "2023-12-25",
"before": "2023-12-25",
"operator": "more",
"value": 123,
"unit": "months"
},
"locations": {
"include": [
{
"type": "country",
"id": 123
}
],
"exclude": [
{
"type": "country",
"id": 123
}
],
"includeUnknown": true
}
},
"project": {
"locations": {
"include": [
{
"type": "country",
"id": 123
}
],
"exclude": [
{
"type": "country",
"id": 123
}
],
"includeUnknown": true
},
"languages": {
"mode": "include",
"codes": [
"<string>"
]
},
"languageQualifications": {
"include": [
"<string>"
],
"exclude": [
"<string>"
]
},
"usJobsMode": "include",
"ukJobsMode": "include"
},
"advancedPreferences": {}
}
}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}Was this page helpful?